Commit a46da51a authored by Hanspeter Portner's avatar Hanspeter Portner

meson: remove build dependency on faust binary.

parent b8cd6749
Pipeline #109351840 failed with stages
in 2 minutes and 5 seconds
......@@ -47,25 +47,25 @@ stages:
x86_64-linux-gnu-bullseye:
before_script:
- apt-get update
- apt-get install -y faust faust-common libfaust2 libglu1-mesa-dev libvterm-dev
- apt-get install -y faust-common libfaust2 libglu1-mesa-dev libvterm-dev
<<: *universal_linux_definition_bullseye
i686-linux-gnu-bullseye:
before_script:
- apt-get update
- apt-get install -y faust:i386 faust-common:i386 libfaust2:i386 libglu1-mesa-dev:i386 libvterm-dev:i386
- apt-get install -y faust-common:i386 libfaust2:i386 libglu1-mesa-dev:i386 libvterm-dev:i386
<<: *universal_linux_definition_bullseye
#arm-linux-gnueabihf-bullseye:
# before_script:
# - apt-get update
# - apt-get install -y faust:armhf faust-common:armhf libfaust2:armhf libglu1-mesa-dev:armhf libvterm-dev:armhf
# - apt-get install -y faust-common:armhf libfaust2:armhf libglu1-mesa-dev:armhf libvterm-dev:armhf
# <<: *arm_linux_definition_bullseye
#aarch64-linux-gnu-bullseye:
# before_script:
# - apt-get update
# - apt-get install -y faust:arm64 faust-common:arm64 libfaust2:arm64 libglu1-mesa-dev:arm64 libvterm-dev:arm64
# - apt-get install -y faust-common:arm64 libfaust2:arm64 libglu1-mesa-dev:arm64 libvterm-dev:arm64
# <<: *arm_linux_definition_bullseye
#x86_64-w64-mingw32:
......
......@@ -29,20 +29,6 @@ sord_validate = find_program('sord_validate', native : true, required : false)
lv2lint = find_program('lv2lint', required : false)
faust = find_program('faust', required : true)
# get FAUST version
r = run_command(faust, '--version')
faust_ver = r.stdout().split('Version')[1].split()[0].strip()
faust_arr = faust_ver.split('.')
add_project_arguments('-DFAUST_MAJOR_VERSION=' + faust_arr[0], language : 'c')
add_project_arguments('-DFAUST_MINOR_VERSION=' + faust_arr[1], language : 'c')
add_project_arguments('-DFAUST_MICRO_VERSION=' + faust_arr[2], language : 'c')
if faust_ver.version_compare('>=2.14.4')
message('supported FAUST version found ' + faust_ver)
else
error('unsupported FAUST version found ' + faust_ver)
endif
if cc.has_member('UIGlue', 'addSoundFile',
prefix : '#include <faust/gui/CInterface.h>')
add_project_arguments('-DFAUST_ADDSOUNDFILE=addSoundFile', language : 'c')
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment